# Raumplaner.py
# Anfangsprojekt vordefinierte Parameter

from grafikfenster import *

from stuhl import *
from tisch import *

### ---------------------------------------------------
class MyApp(wx.App):
    """Testanwendung fuer Raumplaner-Grafik"""
    def OnInit(self):
        self.fenster = GrafikFenster(None, "Raumplaner-Grafik")
        self.SetTopWindow(self.fenster)
        self.fenster.Show(True)
        self.fenster.panel.Refresh()
        #self.TestAnwendung()
        self.TestAnwendung2()
        self.fenster.ZeigeShellFrame()
        #self.fenster.ZeigeFillingFrame()
        return True

    def TestAnwendung(self):
        """Allein fuer die Testanwendung:"""
        global tisch, s1, s2, s3, s4, s5, s6
        print('global: tisch, s1, s2, s3, s4, s5, s6 ; vordefinierte Parameter')
        tisch=Tisch(70,70,120,60,0,'red',True)
        s1=Stuhl(20,80,40,40,270,'blue',True)
        s2=Stuhl(80,20,40,40,0,'blue',True)
        s3=Stuhl(140,20,40,40,0,'blue',True)
        s4=Stuhl(200,80,40,40,90,'blue',True)
        s5=Stuhl(140,140,40,40,180,'blue',True)
        s6=Stuhl(80,140,40,40,180,'blue',True)

    def TestAnwendung2(self):
        """Allein fuer die Testanwendung:"""
        global tisch, s1, s2, s3, s4, s5, s6
        print('global: tisch, s1, s2, s3, s4, s5, s6 ; vordefinierte Parameter')
        tisch=Tisch(70,70,120,60,0,'red',True)
        s1=Stuhl(20,80,winkel=270,sichtbar=True)
        s2=Stuhl(80,20,winkel=0,sichtbar=True)
        s3=Stuhl(140,20,winkel=0,sichtbar=True)
        s4=Stuhl(200,80,winkel=90,sichtbar=True)
        s5=Stuhl(140,140,winkel=180,sichtbar=True)
        s6=Stuhl(80,140,winkel=180,sichtbar=True)

### ---------------------------------------------------
if __name__ == '__main__':
    app = MyApp(redirect=False)
    # Parameterwert True, wenn Ausgaben in der Standard E/A angezeigt werden sollen
    app.MainLoop()
